Bug 1536625 - Filters saved in workloads are not displayed until page refresh
Summary: Filters saved in workloads are not displayed until page refresh
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Hilda Stastna
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ui:filter:workloads
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-19 19:02 UTC by Matouš Mojžíš
Modified: 2019-08-22 00:54 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:57 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:10 UTC

Description Matouš Mojžíš 2018-01-19 19:02:21 UTC
Description of problem:


Version-Release number of selected component (if applicable):
5.9.0.16

How reproducible:
Always

Steps to Reproduce:
1. Create a filter in Services -> Workloads
2. Save it
3.

Actual results:
Filter is not displayed. I have to refresh Workloads page.

Expected results:
Filter should be displayed immediately after saving.

Additional info:

Comment 5 CFME Bot 2018-03-29 08:37:08 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/e6682ad8d98ab159b50b506d420197af4165861e
commit e6682ad8d98ab159b50b506d420197af4165861e
Author:     Hilda Stastna <hstastna@redhat.com>
AuthorDate: Tue Feb 20 10:59:39 2018 -0500
Commit:     Hilda Stastna <hstastna@redhat.com>
CommitDate: Tue Feb 20 10:59:39 2018 -0500

    Make filters saved in Workloads displayed in accordion

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1536625

    Make filters saved in Advanced Search in Workloads displayed in accordion
    right after creating them. Make filters saved in Adv Search displayed also
    in another screens like My Services, Datastores, VMS, Images, etc.

 app/controllers/application_controller/advanced_search.rb | 21 +-
 app/helpers/application_helper.rb | 1 -
 2 files changed, 19 insertions(+), 3 deletions(-)

Comment 6 Matouš Mojžíš 2018-07-10 13:12:08 UTC
Verified in 5.10.0.3. Saved filters are displayed immediately.

Comment 7 errata-xmlrpc 2019-02-07 23:00:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.